Diff for /wikisrc/ports/xen/howto.mdwn between versions 1.61 and 1.69

version 1.61, 2014/12/28 23:26:19 version 1.69, 2014/12/31 00:33:48
Line 151  Build problems Line 151  Build problems
 Ideally, all versions of Xen in pkgsrc would build on all versions of  Ideally, all versions of Xen in pkgsrc would build on all versions of
 NetBSD on both i386 and amd64.  However, that isn't the case.  Besides  NetBSD on both i386 and amd64.  However, that isn't the case.  Besides
 aging code and aging compilers, qemu (included in xentools for HVM  aging code and aging compilers, qemu (included in xentools for HVM
 support) is difficult to build.  The following are known to fail:  support) is difficult to build.  The following are known to work or FAIL:
   
         xenkernel3 netbsd-6 i386  
         xentools42 netbsd-6 i386   
   
 The following are known to work:  
   
           xenkernel3 netbsd-5 amd64
           xentools3 netbsd-5 amd64
           xentools3=hvm netbsd-5 amd64 ????
           xenkernel33 netbsd-5 amd64
           xentools33 netbsd-5 amd64
         xenkernel41 netbsd-5 amd64          xenkernel41 netbsd-5 amd64
         xentools41 netbsd-5 amd64          xentools41 netbsd-5 amd64
           xenkernel42 netbsd-5 amd64
           xentools42 netbsd-5 amd64
   
           xenkernel3 netbsd-6 i386 FAIL
           xentools3 netbsd-6 i386
           xentools3-hvm netbsd-6 i386 FAIL (dependencies fail)
           xenkernel33 netbsd-6 i386
           xentools33 netbsd-6 i386
         xenkernel41 netbsd-6 i386          xenkernel41 netbsd-6 i386
         xentools41 netbsd-6 i386          xentools41 netbsd-6 i386
           xenkernel42 netbsd-6 i386
           xentools42 netbsd-6 i386 *MIXED
   
           (all 3 and 33 seem to FAIL)
           xenkernel41 netbsd-7 i386
           xentools41 netbsd-7 i386
           xenkernel42 netbsd-7 i386
           xentools42 netbsd-7 i386 ??FAIL
   
   (*On netbsd-6 i386, there is a xentools42 in the 2014Q3 official builds,
   but it does not build for gdt.)
   
 NetBSD as a dom0  NetBSD as a dom0
 ================  ================
Line 868  npf, run IPsec, or any other reason why  Line 887  npf, run IPsec, or any other reason why 
 their kernel.  their kernel.
   
 One approach is to have an adminstrative interface to upload a kernel,  One approach is to have an adminstrative interface to upload a kernel,
 or to select from a prepopulated list.  Other approaches are py-grub  or to select from a prepopulated list.  Other approaches are pygrub
 (deprecated) and pvgrub, which are ways to have a bootloader obtain a  (deprecated) and pvgrub, which are ways to have a bootloader obtain a
 kernel from the domU filesystem.  This is closer to a regular physical  kernel from the domU filesystem.  This is closer to a regular physical
 computer, where someone who controls a machine can replace the kernel.  computer, where someone who controls a machine can replace the kernel.
   
 py-grub  pygrub
 -------  -------
   
 py-grub runs in the dom0 and looks into the domU filesystem.  This  pygrub runs in the dom0 and looks into the domU filesystem.  This
 implies that the domU must have a kernel in a filesystem in a format  implies that the domU must have a kernel in a filesystem in a format
 known to py-grub.  As of 2014, py-grub seems to be of mostly historical interest.  known to pygrub.  As of 2014, pygrub seems to be of mostly historical
   interest.
   
 pvgrub  pvgrub
 ------  ------
Line 911  DOMU kernel. Line 931  DOMU kernel.
 TODO: explain how to compile npf into a custom kernel, answering (but  TODO: explain how to compile npf into a custom kernel, answering (but
 note that the problem was caused by not booting the right kernel):  note that the problem was caused by not booting the right kernel):
 http://mail-index.netbsd.org/netbsd-users/2014/12/26/msg015576.html  http://mail-index.netbsd.org/netbsd-users/2014/12/26/msg015576.html
   
   TODO items for improving NetBSD/xen
   ===================================
   
   * Package Xen 4.4.
   * Get PCI passthrough working on Xen 4.2 (or 4.4).
   * Get pvgrub into pkgsrc, either via xentools or separately.
   * grub
     * Add support to pkgsrc grub2 for UFS2 and arbitrary
       fragsize/blocksize (UFS2 support may be present; the point is to
       make it so that with any UFS1/UFS2 filesystem setup that works
       with NetBSD grub will also work).
     * Push patches upstream.
     * Get UFS2 patches into pvgrub.
   * Add support for PV ops to a version of /boot, and make it usable as
     a kernel in Xen, similar to pvgrub.

Removed from v.1.61  
changed lines
  Added in v.1.69


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb